Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x9
Class X9IntegerConverter

    java.lang.Object
      org.bouncycastle.asn1.x9.X9IntegerConverter

    public class X9IntegerConverter

extends java.lang.Object

Constructor Summary
`X9IntegerConverter()`

Method Summary
`int` `getByteLength(org.bouncycastle.math.ec.ECCurve c)`
`int` `getByteLength(org.bouncycastle.math.ec.ECFieldElement fe)`
`byte[]` `integerToBytes(java.math.BigInteger s, int qLength)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9IntegerConverter

    public X9IntegerConverter()

Method Detail

### getByteLength

    public int getByteLength(org.bouncycastle.math.ec.ECCurve c)

### getByteLength

    public int getByteLength(org.bouncycastle.math.ec.ECFieldElement fe)

### integerToBytes

    public byte[] integerToBytes(java.math.BigInteger s,
                                 int qLength)

Bouncy Castle Cryptography Library 1.45